package com.fs.common.service;

import com.fs.common.core.domain.R;
import com.fs.company.domain.CompanySmsTemp;
import com.fs.crm.param.SmsSendBatchParam;
import com.fs.crm.param.SmsSendParam;
import com.fs.crm.param.SmsSendUserParam;
import com.fs.qw.bo.SendMsgLogBo;
import com.fs.qw.enums.SmsLogType;


public interface ISmsService
{
    R sendTSms(String mobile, String json);

    R sendSms(SmsSendParam param);

    String smsNotify(String json);

    R sendBatchSms(SmsSendBatchParam param);

    R sendUserSms(String phone,String UserName,String code);

    R sendOrderMsg(SmsSendUserParam param);

    R sendPackageOrderMsg(SmsSendUserParam param);

    R sendCaptcha(String phone, String captcha, String code);

    R sendUrl(String phone, String content, String code,Long uuid,Integer smsIndex,String deleteKey);

    /**
     *  根据号码、内容、模板发送短信(简洁版)
     *  @param phone 号码
     *  @param content 内容
     *  @param temp 模板
     * */
    R simpleSmsSend(String phone, String content, CompanySmsTemp temp, SmsLogType logType, SendMsgLogBo sendMsgLogBo);

}
